#!/usr/bin/env python
# -*- coding: utf-8 -*-
#*****************************************************************************
#       Copyright (C) 2006 Serge Weinstock <serge.weinstock@ntlworld.com>
#  Distributed under the terms of the BSD License.  The full license is in
#  the file COPYING, distributed as part of this software.
#*****************************************************************************
"""
DCOP interface for the kUWC application
"""
from dcopexport import DCOPExObj
from kdecore import KApplication, KURL

class kUWCIface(DCOPExObj):
    """
    The DCOP interface for the kUWC application
    """
    def __init__(self, id="main"):
        '''
        Constructor
        @param[in] id the interface ID
        '''
        DCOPExObj.__init__(self, id)
        self.addMethod("void openURL(QString)", self.openURL)

    def openURL(self, url):
        '''
        Open a given url
        @param[in] url the url to open
        '''
        KApplication.kApplication().mainWidget().openURL(KURL(url))

